Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class CMSAlgorithmProtection

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cms.CMSAlgorithmProtection

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class CMSAlgorithmProtection
extends ASN1Object

From RFC 6211 CMSAlgorithmProtection ::= SEQUENCE { digestAlgorithm DigestAlgorithmIdentifier, signatureAlgorithm [1] SignatureAlgorithmIdentifier OPTIONAL, macAlgorithm [2] MessageAuthenticationCodeAlgorithm OPTIONAL } (WITH COMPONENTS { signatureAlgorithm PRESENT, macAlgorithm ABSENT } | WITH COMPONENTS { signatureAlgorithm ABSENT, macAlgorithm PRESENT })

Field Summary
`static int` | `MAC`
`static int` | `SIGNATURE`

Constructor Summary
`CMSAlgorithmProtection(AlgorithmIdentifier digestAlgorithm, int type, AlgorithmIdentifier algorithmIdentifier)`

Method Summary
`AlgorithmIdentifier` | `getDigestAlgorithm()`
`static CMSAlgorithmProtection` | `getInstance(java.lang.Object obj)`
`AlgorithmIdentifier` | `getMacAlgorithm()`
`AlgorithmIdentifier` | `getSignatureAlgorithm()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIGNATURE

    public static final int SIGNATURE

See Also:
  Constant Field Values

### MAC

    public static final int MAC

See Also:
  Constant Field Values

Constructor Detail

### CMSAlgorithmProtection

    public CMSAlgorithmProtection(AlgorithmIdentifier digestAlgorithm,
                                  int type,
                                  AlgorithmIdentifier algorithmIdentifier)

Method Detail

### getInstance

    public static CMSAlgorithmProtection getInstance(java.lang.Object obj)

### getDigestAlgorithm

    public AlgorithmIdentifier getDigestAlgorithm()

### getMacAlgorithm

    public AlgorithmIdentifier getMacAlgorithm()

### getSignatureAlgorithm

    public AlgorithmIdentifier getSignatureAlgorithm()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD